Skip to main content
`Ctrl`+`K`

# SVDTRLanczosGetRestart

Gets the restart parameter used in the thick-restart Lanczos method.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetRestart(SVD svd,PetscReal *keep)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- keep - the restart parameter

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosSetRestart()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosGetRestart_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages